Subject: Re: [TR] OT: help from the brilliant

From: Jeff Scarbrough <[email-masked]>
Date: Mon, 1 Sep 2014 13:35:36 -0400

On Sun, Aug 31, 2014 at 11:38 PM, Geo Hahn <[email-masked]> wrote:
> Return it at night... in the rain?

I realize that you're joking, but in truth, many auto rental companies
see damage claims as a profit center.  They will cheerfully let you
return the car and give you a receipt, then weeks later a charge
appears on y our credit card for $498 to repair some damage.  Often,
it can be preexisting damage that gets charged again and again.
Photos before you drive off, photos after you drive in...

Doesn't help David much...I suspect he will either have to get it
fixed, or get ready to pay rental repair rates.

I've seen some magic scratch repair products advertised, but I don't
know how effective that might be.

Jeff Scarbrough
Corrosion Acres, Ga.

** [email-masked] **

Archive: http://www.team.net/archive